10 июня 2014

Релиз Firefox 30

Проект Mozilla официально представил релиз web-браузера Firefox 30, а также мобильную версию Firefox 30 для платформы Android. В ближайшие часы ожидается релиз Seamonkey 2.27, а также обновление веток с длительным сроком поддержки Firefox 24.5.0 и Thunderbird 24.6.0. В скором времени на стадию бета-тестирования перейдёт ветка Firefox 31 и будет отделена aurora-ветка Firefox 32. В соответствии с шестинедельным циклом разработки релиз Firefox 31 намечен на 22 июля, а Firefox 32 на 2 сентября.


Основные новшества:

    Добавлена поддержка отображения боковых панелей с интерфейсом для предоставления упрощённого доступа к закладкам, истории посещений и обмену ссылками в социальных сетях;

   Ужесточены ограничения при показе связанного с плагинами контента. Добавленная в Firefox 26 функция активации плагина после клика, работающая для Java и устаревших версий NPAPI-плагинов, теперь будет переведена на блокирование по умолчанию всех плагинов, за исключением добавленных в специальный белый список. В белый список будут помещены только плагины, прошедшие специальное рецензирование и выполняющие ряд условий, в том числе предусматривающие план ухода от использования NPAPI-плагинов в пользу стандартных web-технологий;
При использовании WebAudio добавлена возможность управления громкостью и приглушения звука для отдельных окон;
Поддержка мультимедиа-фреймворка GStreamer 1.0 в Linux (ранее поддерживался 0.10) в качестве бэкенда для проигрывания аудио/видео элементов HTML5, в том числе для несвободных форматов H.264, AAC и MP3, если для них в системе установлен соответствующий плагин для GStreamer;
Для пользователей OS X добавлена поддержка клавиатурной комбинации command-E для подстановки найденного выражения в выделенный текст;
Устранён выход элементов за границы, в том числе за пределы области box-shadow;
Включена по умолчанию поддержка CSS-элемента background-blend-mode, позволяющего указать режимы смешивания при выводе поверх фона;
Для тега input добавлена поддержка указания свойства line-height для кнопок (type="reset|button|submit");
В web-приложениях запрещён вызов конструкторов WebIDL (Interface Definition Language) как функций;
Добавлены поддержка абстракции массивов (Array comprehensions, создание нового массива на основе другого) и генераторов, определённых в спецификации ECMAScript 6;
Для обеспечения приватности список плагинов больше не доступен для перебора через интерфейс navigator.plugins (отдельные плагины по-прежнему можно проверить по имени);
Расширены инструменты для web-разработчиков: Реализован инструмент Box Model Highlighter, позволяющий наглядно выделять цветом области на странице, соответствующие выбранной в инспекторе карте отступов (можно сразу оценить как параметры CSS вносят свой вклад в отступы вокруг элемента).

 Улучшения версии для платформы Android:

        В контекстное меню добавлены кнопки Quickshare для быстрого обмена ссылками через социальные сети;
        Представлено дополнение Home Feeds для добавления web-контента на панели домашней страницы;
        Добавлена локализация для белорусского и латвийского языков.

Отдельно следует отметить, что кроме новшеств и исправления ошибок в Firefox 30 устранена серия уязвимостей, из которых несколько помечены как критические, т.е. могут привести к выполнению кода злоумышленника при открытии специально оформленных страниц. В настоящее время информация с подробностями об исправленных проблемах безопасности недоступна, ожидается, что перечень уязвимостей будет опубликован в течение нескольких часов.

Если в настоящее  время вы ещё не получили обновления для Firefox в Ubuntu/Linux Mint, сделать это можно самостоятельно прямо сейчас, подключив репозиторий ppa:ubuntu-mozilla-security/ppa и обновить ситему, выполнив следующие команды в терминале:

Пользователи Ubuntu/Linux Mint не желающие ждать официального обновления, могут прямо сейчас сделать обновление браузера с подключением репозитория, выполнив следующие команды в терминале:

sudo add-apt-repository ppa:ubuntu-mozilla-security/ppa
sudo apt-get update


Затем откройте Менеджер обновлений, где вы найдёте обновление Firefox до версии 30:


Либо выполните следующую команду в терминале для обновления системы и Firefox в том числе:

sudo apt-get upgrade

По окончании обновления перезапустите браузер.

Источник описания Firefox 30: The OpenNET Project

Удачи.

29 комментариев :

  1. Спасибо! Сколько лет помогаете - Удачи Вам!

    ОтветитьУдалить
  2. Слетел ace stream, надо в настройках плагина ставить на "всегда включить". У меня сработало. Фух)

    ОтветитьУдалить
  3. Стоит 28 и стоит.Запретил обновляться. И ни чуточки не жалею.Новое не есть лучшее

    ОтветитьУдалить
    Ответы
    1. "Стоит 28 и стоит"
      Новая версия Firebug 2.0(дополнение к браузеру Firefox для отладки сайтов и web-приложений) полностью совместима с нынешним стабильным релизом Firefox 30 и будущими версиями 31 и 32. Поддержка старых версий Firefox прекращена....

      Удалить
  4. Не совсем понял что они собрались делать с плагинами, на всякий случай заблокировал браузер в синаптике.

    ОтветитьУдалить
    Ответы
    1. Проверил, ничего страшного. Большинство плагинов заблокированы по умолчанию, но их можно разрешить.
      http://storage9.static.itmages.com/i/14/0611/h_1402469886_1689361_85a41ce2b5.png
      После нажатия "разрешить" появляется окошко с выбором "временно разрешить", "разрешить и запомнить" и т.д.

      Удалить
    2. Никогда 28 не такой как бы сказать по мягче..(во навотротил
      )Тяжело с Русскими. буквами Странно.А получилось как всегда..

      Удалить
  5. Перешел на Pale Moon . А вообще возможно установить Firefox Extended Support Release в Mint 17?

    ОтветитьУдалить
    Ответы
    1. В приципе да. Посмотрите в комментариях к http://compizomania.blogspot.com/2013/12/firefox-26.html

      Удалить
  6. господа, Ubuntu 14.04, не знаю где написать, напишу здесь.
    Кто после последнего update && upgrade обнаружил, что не может войти ни в свою сессию, ни в гостевую, скорее всего у вас подключен репозиторий ppa:eugenesan/ppa. Тоже был неприятно удивлен, полазил по логам dpkg, сделал выводы.
    sudo apt-get-repository -r ppa:eugenesan/ppa
    затем смотрел, какие версии пакета gnome-session доступны:
    sudo aptitude versions gnome-session
    Показал один старый пакет, и один из репозитория eugenesan.
    sudo aptitude install gnome-session-bin=3.9.90-0ubuntu12 (после знака равно пишем версию старого пакета, у меня такая)
    здесь использовал именно aptitude, т.к. с ним было проще восстановить все.
    в первый раз aptitude скажет, что есть неудовлетворенные зависимости, удалить ли неподходящие пакеты? отказываемся. Во второй раз предложит оставить все как есть и ничего не делать. Отказываемся. В третий раз предложит установить старые версии зависимых пакетов. Соглашаемся. Перезагрузка. Все должно работать.

    ОтветитьУдалить
  7. А теперь вопрос по сабжу: у меня с 29ой версии не работают всякие расширения-индикаторы, например ВК, Яндекс.Почта, любые другие, которые авторизируются по oAuth(насколько я понял)
    Так вот, когда нажимаю Разрешить этому приложению доступ к вашим данным и проч, то валит ошибку доступа. Даже в легендарном яндех баре не работают ни почтовый плагин, ни вк, ни фб....

    ОтветитьУдалить
    Ответы
    1. Использую VKfox, всё работает. Воспроизвести глюк не получается. Сделайте резервную копию профиля, бэкап закладок и попробуйте настроить с нуля.

      Удалить
    2. дык с нуля-то все и ставил. Как появилась версия 29, поставил, пошел настраивать так, как мне было всегда удобно в хроме, не вышло.

      Удалить
    3. выпилил папке .mozilla в хомяке, помогло с полной переустановкой

      Удалить
  8. > Даже в легендарном яндех баре...

    Легендарный Яндекс бар - не нужен.

    ОтветитьУдалить
    Ответы
    1. Во-первых, я не задавал вопрос, нужен он или нет. Я конкретно описал проблему, относящуюся не только к яндекс бару.
      Во-вторых, я от того и написал "легендарный", чтобы добавить нотку сарказма.
      В-третьих, нужен, или нет, я буду сам за себя решать. Да и когда вы в последний раз в глаза видели Яндекс Бар? Я, признаюсь, давненько, и был приятно удивлен тем, что он из себя представляет теперь. По крайней мере в версии для FF.
      Я, например, нашел полезными расширения в виде доступа к почте и вк на панели, учитывая, что аналоги не ахти какие. Не пробовал еще VK FOX, но, повторюсь, и не могу попробовать, ибо не хочет авторизовываться ни тот самый бар, ни вкфокс.
      Ну и автодополнение поисковых запросов я себе оставил. Даже несмотря на то, что пользуюсь поиском гугл - работает.

      Удалить
  9. > Во-первых, я не задавал вопрос, нужен он или нет.

    Да, вы не задавали такого вопроса.
    Яндекс-бар действительно легендарный, это гроза пользователей Windows всё норовит установиться.

    > В-третьих, нужен, или нет, я буду сам за себя решать

    Не смею вам указывать.

    > Да и когда вы в последний раз в глаза видели Яндекс Бар?

    Давно и на Windows. В 2009 году, кажется.

    > Я, признаюсь, давненько, и был приятно удивлен тем, что он из себя представляет теперь.

    Я гляну. Возможно, что вы правы. Вполне могут быть и нужные и удобные дополнения. Бывает и так, что бывший гадкий утёнок вырастает в прекрасного лебедя. Возможно, что для вас нужен Яндекс-бар. Мне вот тоже нужны приложения/опции, которые не нужны другим пользователям.

    Всё это не от не отменяет того факт, что Яндекс-Бар lurkmore.to/Не_нужен

    А то, что вы сообщили о проблемах с плагинами это ценная информация. Мне тоже интересно стало, я рискну поставить-глянуть этот легендарно-ненужный Яндекс-бар.

    ОтветитьУдалить
    Ответы
    1. хорошо, буду вам благодарен. Как уже отметили выше, речь идет о продукте под названием Элементы Яндекса, во что собственно яндексбар превратился сейчас. о также повторюсь, что это проблема не кокретно Элементов, а многих расширений, которым для работы нужно получить разрешение на работу с конкретным сайтом/соц.сетью посредством API.

      Удалить
  10. У меня тоже сегодня лиса обновилась. Как стояли аддонны, так и стоят, ничего не отвалилось (правда у меня их мало-flagfox, translator и no script).

    ОтветитьУдалить
  11. И еще про плаггины: В целях безопасности плагины больше не активируются по умолчанию, вместо этого каждый раз запрашивается согласие пользователя. Исключение сделано лишь для тех плагинов, которые находятся внутри расширений или в белом списке. По подробнее можно почитать вот тут https://blog.mozilla.org/security/2014/02/28/update-on-plugin-activation/

    ОтветитьУдалить
  12. Ядекс бара давно нет. Есть очень полезное расширение элементы яндекса, в котором перевод слов, перевод всей страницы, защита от фишинга, умная адресная строка совмещённая с поисковой, защита домашней страницы. Яндекс закладкам аналога нет вообще - это сохранение веб страниц мгновенно по одному клику в облаке... Ну и почтовый ящик у меня на яндексе. Очень удобно... Автоматом устанавливаются визуальные закладки, так их можно удалить из дополнений.

    ОтветитьУдалить
    Ответы
    1. именно элементы яндекса я и имел ввиду) Назвал по старой памяти. Либо где-то на сайте яндекса встретил оба названия, не помню.

      Удалить
  13. > Ну и почтовый ящик у меня на яндексе. Очень удобно...

    Яндекс-ящик очень удобен и я пока не видал на нём глюков, какие есть на других ящиках. Много хорошего, но плохо, что локализован для территории РФ, за её пределами как бы одно неудобство. Может быть если бы Яндекс долокализовался бы, то был бы ток. Поиск по блогам хороший и по новостям.

    ОтветитьУдалить
  14. Обновился штатными средствами.Ни че не отпало,все работает.

    ОтветитьУдалить
  15. Проблема с Firefox и Рale moon с видеороликами на некоторых сайтах кроме YouTube там HTML5, при воспроизведении на весь экран видео сыпется или просто тупит. Закрытый драйвер на AMD установлен OS Mint 17. Может есть какой выход ?Использовать шпионский зонд хром от гугла нет желания .

    ОтветитьУдалить
  16. А у меня в этой версии (а может и не из-за этого) при выходе не хочет сохранять открытые в прошлый раз вкладки, хотя в Правка-Настройки-Основные-Запуск выставлено чтобы показывал.
    Что можно сделать?
    Спасибо.

    ОтветитьУдалить